// JavaScript Document
function militiempo(){
	var d=new Date();
	var n=d.getTime();
	return n;
	}

function cadenaopt(txt){
	txt=txt.replace("&","@@@");
	return txt;
	}
function menu_desplegablep(modulo){
	milit=militiempo();
	menu_act=document.getElementById('menu_activo').value;
	if(menu_act!="0"){
		document.getElementById(menu_act).setAttribute("class","menu_hor");		
		document.getElementById('menu_activo').value=modulo;
		}
	document.getElementById('menu_activo').value=modulo;
	document.getElementById(modulo).setAttribute("class","menu_horover");
	switch (modulo){
		case "inicio":
			document.getElementById(modulo).setAttribute("class","menu_hor");	
			document.getElementById("menu_secundario").style.visibility='hidden';	
			document.getElementById("menu_secundario").innerHTML='';
			break;
		case "vacio":
			document.getElementById(modulo).setAttribute("class","menu_hor");			
			document.getElementById("menu_secundario").style.visibility='hidden';	
			document.getElementById("menu_secundario").innerHTML='';
			break;
		default:
			document.getElementById("menu_secundario").style.visibility='visible';
			capa="menu_secundario";
			pagina="../menu/menu_"+modulo+".php"+"?time="+milit;
			MostrarConsulta(pagina,capa);		
			break;
	}
}

function cerrar_menu(){
	menu_act=document.getElementById('menu_activo').value;
	if(menu_act!="0"){
		
		document.getElementById(menu_act).setAttribute("class","menu_hor");		
		}
	document.getElementById("menu_secundario").style.visibility='hidden';	
	document.getElementById("menu_secundario").innerHTML='';
}
function busqueda_caja(client_caja){
	milit=militiempo();
	tipo_filtro=document.getElementById("tipo_filtrado").value;
	switch(tipo_filtro){
		case "1":
			capita="caja_abierta";
			page="report_cajaabierta.php?nomcliente="+client_caja;
			break;
		case "-1":
			capita="caja_cerrada";
			page="report_cajacerrada.php?nomcliente="+client_caja;
			break;
		}
	
	capa=capita;
	pagina=page+"&time="+milit;
	MostrarConsulta(pagina,capa);	
	}

function modificar_cli(id_cli){
	milit=militiempo();
	capa="cliente_man";
	pagina="modificar.php?id_cli="+id_cli+"&time="+milit;
	MostrarConsulta(pagina,capa);	
	}
function modificar_cuenta(id_cuenta){
	milit=militiempo();
	capa="cuenta_man";
	pagina="modificar.php?id_cuenta="+id_cuenta+"&time="+milit;
	MostrarConsulta(pagina,capa);	
	}
function modificar_gasto(id_gasto){
	milit=militiempo();
	capa="gasto_man";
	pagina="modificar_gasto.php?id_gasto="+id_gasto+"&time="+milit;
	MostrarConsulta(pagina,capa);	
	}
function modificar_documento(id_documento){
	milit=militiempo();
	tipodoc=document.getElementById("tipo_doc").value;
	capa="documento_man";
	pagina="modificar_documento.php?id_documento="+id_documento+"&tipodoc="+tipodoc+"&time="+milit;
	MostrarConsulta(pagina,capa);	
	}
function lista_facturas(txt){
	milit=militiempo();
	txt=cadenaopt(txt);
	tipodoc=document.getElementById('tipo_doc').value;
	capa="busqueda";
	pagina="lista_facturas.php?nomcliente="+txt+"&tipodoc="+tipodoc+"&time="+milit;
	MostrarConsulta(pagina,capa);	
	}	
function buscar_cliente(){
	milit=militiempo();
	buscarcli=document.getElementById('buscar_cli').value;
	capa="cont_listcli";
	pagina="buscarcliente.php?txt="+buscarcli+"&time="+milit;
	MostrarConsulta(pagina,capa);
	}

function buscar_cuenta(){
	milit=militiempo();
	buscarcuenta=document.getElementById('buscar_cuenta').value;
	capa="cont_listcuenta";
	pagina="buscar_cuenta.php?txt="+buscarcuenta+"&time="+milit;
	MostrarConsulta(pagina,capa);
	}

function buscagasto(){
	milit=militiempo();
	buscargasto=document.getElementById('buscar_gasto').value;
	buscargasto=cadenaopt(buscargasto);
	capa="cont_listgasto";
	pagina="buscar_gasto.php?txt="+buscargasto+"&time="+milit;
	MostrarConsulta(pagina,capa);
	}

function buscacliente(){
	milit=militiempo();
	buscarcliente=document.getElementById('buscar_gasto').value;
	buscarcliente=cadenaopt(buscarcliente);
	tipodoc=document.getElementById('tipo_doc').value
	capa="cont_listdoc";
	pagina="buscar_clientes.php?txt="+buscarcliente+"&tipodoc="+tipodoc+"&time="+milit;
	MostrarConsulta(pagina,capa);
	}

function tipo_cuent(){
	indice=document.getElementById('cuenta').selectedIndex;
	tipocuenta=document.getElementById('cuenta').options[indice].title;
	document.getElementById('tipo_cuenta').value=tipocuenta;
	}
function buscar_cli(){
	
	}
function buscar_doc(){
	milit=militiempo();
	buscardoc=document.getElementById('buscar_documento').value;
	tipodoc=document.getElementById('tipo_documento').value;
	capa="cont_listdoc";
	pagina="buscar_documento.php?txt="+buscardoc+"&tipodoc="+tipodoc+"&time="+milit;
	MostrarConsulta(pagina,capa);	
	}
function guardar_cambio(){
	milit=militiempo();
	t_compra=document.getElementById('compra').value;
	t_venta=document.getElementById('venta').value;
	capa="cambio_conf";
	pagina="tipo_cambio.php?compra="+t_compra+"&venta="+t_venta+"&time="+milit;
	MostrarConsulta(pagina,capa);
	
	}
function guardar_igv(){
	milit=militiempo();
	p_igv=document.getElementById('igv').value;
	capa="igv_conf";
	pagina="igv.php?igv="+p_igv+"&time="+milit;
	MostrarConsulta(pagina,capa);	
	}
function numerocaja(){
	milit=militiempo();
	indice=document.getElementById('cliente').selectedIndex;
	idcliente=document.getElementById('cliente').options[indice].value;
	numcajas=document.getElementById("num_cajas").value;
	
	capa="numerocaja";
	pagina="numero_caja.php?num_cajas="+numcajas+"&id_cliente="+idcliente+"&time="+milit;
	MostrarConsulta(pagina,capa);	
	
	}
function selec_cliente(nom_cliente){
	var structura_cliente=nom_cliente.split("@@");
	var nombre=structura_cliente[0];
	var id=structura_cliente[1];	
	document.getElementById('cliente').value=nombre;
	document.getElementById('idcliente').value=id;
	document.getElementById('cuenta').focus();
//	document.getElementById('colocar_cli').style.visibility='visible';
//	document.getElementById('cont_buscar').style.display="none";
	}
function selec_cliented(nom_cliente){
	var structura_cliente=nom_cliente.split("@@");
	var nombre=structura_cliente[0];
	var id=structura_cliente[1];	
	document.getElementById('cliente').value=nombre;
	document.getElementById('idcliente').value=id;
	document.getElementById('concepto').focus();
//	document.getElementById('colocar_cli').style.visibility='visible';
//	document.getElementById('cont_buscar').style.display="none";
	}

function selec_clienteg(nom_cliente){
	var structura_cliente=nom_cliente.split("@@");
	var nombre=structura_cliente[0];
	var id=structura_cliente[1];	
	document.getElementById('buscar_gasto').value=nombre;
//	document.getElementById('idcli').value=id;
//	document.getElementById('colocar_cli').style.visibility='visible';
//	document.getElementById('cont_buscar').style.display="none";
	capa="busqueda";
	pagina="lista_gastoscli.php?idcli="+id+"&time="+milit;
	MostrarConsulta(pagina,capa);
	}
function selec_cuenta(nom_cuenta){
	var structura_cuenta=nom_cuenta.split("@@");
	var nombre=structura_cuenta[0];
	var id=structura_cuenta[1];	
	var tipo_cuenta=structura_cuenta[2];	
	document.getElementById('cuenta').value=nombre;
	document.getElementById('id_cuenta').value=id;
	document.getElementById('tipocuenta').value=tipo_cuenta;
//	document.getElementById('cont_cuenta').style.display='none';
	document.getElementById('monto').focus();
//	document.getElementById('colocar_cuenta').style.visibility='visible';
	}
function colocarcuenta(){
	document.getElementById('cont_cuenta').style.display='none';
	document.getElementById('contenedor_p').style.display='block';	

	document.getElementById('cuenta').value=document.getElementById('nombrecuenta').value;
	document.getElementById('id_cuenta').value=document.getElementById('idcuenta').value;
	document.getElementById('tipo_cuenta').value=document.getElementById('tipocuenta').value;	
	
	}
function colocarcli(){
	milit=militiempo();
	
	document.getElementById('cont_buscar').style.display='none';
	document.getElementById('contenedor_p').style.display='block';	

	activo_bc=document.getElementById('activo').value;
	
	switch (activo_bc){
		case '1':
			document.getElementById('cliente').value=document.getElementById('nombrecliente').value;
			document.getElementById('idcliente').value=document.getElementById('idcli').value;
			
			idcliente=document.getElementById('idcli').value;;
			numcajas=document.getElementById("num_cajas").value;
			
			capa="numerocaja";
			pagina="numero_caja.php?num_cajas="+numcajas+"&id_cliente="+idcliente+"&time="+milit;
			MostrarConsulta(pagina,capa);				
			break;
		case '2':
			document.getElementById('buscar_gasto').value=document.getElementById('nombrecliente').value;
			break;
		}

	}

function colocarcli(){
	milit=militiempo();
	
	document.getElementById('cont_buscar').style.display='none';
	document.getElementById('contenedor_p').style.display='block';	

	activo_bc=document.getElementById('activo').value;
	
	switch (activo_bc){
		case '1':
			document.getElementById('cliente').value=document.getElementById('nombrecliente').value;
			document.getElementById('idcliente').value=document.getElementById('idcli').value;
			
			idcliente=document.getElementById('idcli').value;;
			numcajas=document.getElementById("num_cajas").value;
			
			capa="numerocaja";
			pagina="numero_caja.php?num_cajas="+numcajas+"&id_cliente="+idcliente+"&time="+milit;
			MostrarConsulta(pagina,capa);				
			break;
		case '2':
			document.getElementById('buscar_gasto').value=document.getElementById('nombrecliente').value;
			break;
		}

	}
	
function colocarclid(){
	milit=militiempo();
	
	document.getElementById('cont_buscar').style.display='none';
	document.getElementById('contenedor_p').style.display='block';	

	activo_bc=document.getElementById('activo').value;
	
	switch (activo_bc){
		case '1':
			document.getElementById('cliente').value=document.getElementById('nombrecliente').value;
			document.getElementById('idcliente').value=document.getElementById('idcli').value;
			break;
		case '2':
			document.getElementById('buscar_gasto').value=document.getElementById('nombrecliente').value;
			break;
		}

	}
function buscar_clientes(dato_texto){
	milit=militiempo();
	datotexto=cadenaopt(dato_texto);
	capa="busqueda";
	pagina="lista_clidoc.php?nomcliente="+datotexto+"&time="+milit;
	MostrarConsulta(pagina,capa);
	}
	
function buscarcli(activo_bc){
	document.getElementById('cont_buscar').style.display='block';
	document.getElementById('cont_cuenta').style.display='none';
	document.getElementById('activo').value=activo_bc;
	
//	document.getElementById('contenedor_p').style.display='none';
	}
function buscarclid(activo_bc){
	document.getElementById('cont_buscar').style.display='block';
	document.getElementById('activo').value=activo_bc;
	
//	document.getElementById('contenedor_p').style.display='none';
	}

function buscarcuenta(opcion){
	milit=militiempo();
	switch(opcion){
		case '1':
			cuentagasto=document.getElementById('cuenta').value;
			capa="clientes_lista";
			pagina="buscar_cuentas.php?txt="+cuentagasto+"&time="+milit;
			break;
		case '2':
			cuentagasto=document.getElementById('cuenta').value;
			capa="clientes_lista";
			pagina="buscar_cuentas.php?txt="+cuentagasto+"&time="+milit;
			break;
		case '3':
			cuentagasto='';
			capa="clientes_lista";
			pagina="buscarcuenta.php?txt="+cuentagasto+"&time="+milit;
			break;
		case '4':
			document.getElementById('cont_cuenta').style.display='block';
			document.getElementById('cont_buscar').style.display='none';
			cuentagasto='';
			capa="listado_cuentas";
			pagina="buscarcuentas.php?txt="+cuentagasto+"&time="+milit;
			break;
		}
	MostrarConsulta(pagina,capa);
//	document.getElementById('cont_cuenta').style.display='block';
//	document.getElementById('contenedor_p').style.display='none';
	}

function busqueda_cli(){
	milit=militiempo();
	document.getElementById('cont_buscar').style.display='block';
	nomcliente=cadenaopt(document.getElementById('cliente').value);
	capa="listado_clientes";
	pagina="buscar_cliente.php?txt="+nomcliente+"&time="+milit;
	MostrarConsulta(pagina,capa);
	}
function busquedacli(){
	milit=militiempo();
	document.getElementById('cont_buscar').style.display='block';
	document.getElementById('cont_cuenta').style.display='none';
	nomcliente=cadenaopt(document.getElementById('cliente').value);
	capa="listado_clientes";
	pagina="buscarcliente.php?txt="+nomcliente+"&time="+milit;
	MostrarConsulta(pagina,capa);
	}
function busquedaclid(){
	milit=militiempo();
	document.getElementById('cont_buscar').style.display='block';
	nomcliente=cadenaopt(document.getElementById('cliente').value);
	capa="listado_clientes";
	pagina="buscarcliente.php?txt="+nomcliente+"&time="+milit;
	MostrarConsulta(pagina,capa);
	}
function busqueda_clig(opcion){
	milit=militiempo();
//	document.getElementById('cont_buscar').style.display='block';
	switch(opcion){
		case '1':
			nomcliente=cadenaopt(document.getElementById('buscar_gasto').value);
			capa="busqueda";
			pagina="buscar_clientegasto.php?txt="+nomcliente+"&time="+milit;
			break;
		case '2':
			nomcliente=cadenaopt(document.getElementById('cliente').value);
			capa="clientes_lista";
			pagina="buscar_cliente.php?txt="+nomcliente+"&time="+milit;
			break;
		case '3':
			nomcliente='';
			capa="clientes_lista";
			pagina="buscar_cliente.php?txt="+nomcliente+"&time="+milit;
			break;
		}
	MostrarConsulta(pagina,capa);
	}
function busqueda_cuenta(){
	milit=militiempo();
	document.getElementById('cont_cuenta').style.display='block';
	nomcuenta=document.getElementById('cuenta').value;
	capa="listado_cuentas";
	pagina="buscar_cuentas.php?txt="+nomcuenta+"&time="+milit;
	MostrarConsulta(pagina,capa);
	}
function busquedacuenta(){
	milit=militiempo();
	document.getElementById('cont_cuenta').style.display='block';
	document.getElementById('cont_buscar').style.display='none';
	nomcuenta=document.getElementById('cuenta').value;
	capa="listado_cuentas";
	pagina="buscarcuentas.php?txt="+nomcuenta+"&time="+milit;
	MostrarConsulta(pagina,capa);
	}

function openclosed(datos){
	milit=militiempo();
	dato=datos.split('-');
	idcajagasto=dato[0];
	idcliente=dato[1];
	numcaja=dato[2];
	
	capa="listado_clientes";
	pagina="listadecajascerradas.php?idcajagasto="+idcajagasto+"&idcliente="+idcliente+"&numcaja="+numcaja+"&time="+milit;
	MostrarConsulta(pagina,capa);
	}
function detallecaja(numcaja){
	milit=militiempo();
	
	document.getElementById('lista_gastostodos').style.display='none';
	document.getElementById('caja_privada').style.display='block';
	
	capa="caja_privada";
	pagina="detalle_caja.php?numcaja="+numcaja+"&time="+milit;
	MostrarConsulta(pagina,capa);
	}
function detallecajaopen(idcliente){
	milit=militiempo();
	
	document.getElementById('lista_gastostodos').style.display='none';
	document.getElementById('caja_privada').style.display='block';
	
	capa="caja_privada";
	pagina="detalle_cajaopen.php?idcliente="+idcliente+"&time="+milit;
	MostrarConsulta(pagina,capa);
	}
function open_closed(){
	tipo_filtro=(-1)*document.getElementById("tipo_filtrado").value;
	document.getElementById("tipo_filtrado").value=tipo_filtro;
	switch(tipo_filtro){
		case 1:
			document.getElementById("fecha_filtro").style.display='none';
			document.getElementById("boton_filtro").style.display='none';
			break;
		case -1:
			document.getElementById("fecha_filtro").style.display='block';
			document.getElementById("boton_filtro").style.display='block';			
			break;
		}
	}
function showcerrar_caja(){
	milit=militiempo();
	capa="listado_clientes";
	pagina="showcerrar_caja.php?time="+milit;
	MostrarConsulta(pagina,capa);
	}
function cerrar_caja(idcliente){
	milit=militiempo();

	capa="listado_clientes";
	pagina="cerrar_caja.php?idcliente="+idcliente+"time="+milit;
	MostrarConsulta(pagina,capa);
	}
function cerrarcaja_detalle(){
	document.getElementById('caja_privada').style.display='none';
	document.getElementById('lista_gastostodos').style.display='block';
	};
function limpiar_fecha(numero,idcampo){
		if (!/^\d{1,2}\-\d{1,2}\-\d{2,4}$/.test(numero)){
			
		 }
		  document.getElementById(idcampo).value="";
	}
function valid_fecha(numero, idcampo){
	datosFecha=numero.split('-');
	b_dia=(datosFecha[0]<=31);
	b_mes=(datosFecha[1]<=12);
//	alert(datosFecha.length+" valor "+b_dia);
	switch(datosFecha.length){
		case 1:
			if(datosFecha[0].length==2 && b_dia){
				numero=numero+'-';
				document.getElementById(idcampo).value=numero;
				}else{
					numero=numero.replace('-','');

					}
			break;
		case 2:
			if(datosFecha[1].length==2  &&  b_mes){
				numero=numero+'-';
				document.getElementById(idcampo).value=numero;
				}else{
					numero=numero.replace('-','');

					}
			break;
		case 3:
			break;
		}
//	document.getElementById('f_dateini').value=numero;
	//alert(b_dia);
//	if(b_dia && b_mes){
//		alert("ok");
//		}else{alert("no");}
	
//	Valida al estructura del formato de fecha
//	 if (!/^\d{1,2}\-\d{1,2}\-\d{2,4}$/.test(numero)){
//	   	 alert("El valor " + numero + " no es un número");
//	 }
	}
function analizar_fecha(numero,idcampo){

		var year=new Date();
		datosFecha=numero.split('-');
		
		b_dia=(datosFecha[0]<=31);
		b_mes=(datosFecha[1]<=12);
		
		if(typeof datosFecha[2]!='undefined'){
			if(datosFecha[2].length<=3 || datosFecha[2].length>4){
				datosFecha[2]=year.getFullYear();
				numero=datosFecha[0]+'-'+datosFecha[1]+'-'+year.getFullYear();
				document.getElementById(idcampo).value=numero;
				}
			}
		if(b_dia && b_mes){
			}else{
				document.getElementById(idcampo).value='';
				}
//		Cambia de formato de fecha a una fecha global con dia y hora
//		var datestring="March 21, 2012";
//		var myDate = new Date(datestring);
//		var d = Date.parse(myDate); 
//		alert(myDate);
		
		
//		Cambia de fecha a milisegundos en formato ingles
//		var d = Date.parse("March 21, 2012"); 
//		alert(d);
		// alert(Date.parse(string));


// Convierte de milisegundos a fecha
//		var fecha=new Date();
//		fecha.setTime(12345);
//		alert(fecha.getFullYear());
	}
function dia_mes(valor){
	//alert(valor);

	}
function foco_texto(){
	
}
function next_focus(idcampo){
	document.getElementById(idcampo).focus();	
}
function detraccion_d(){
	valor_detracc=document.getElementById('detracc').value;
	switch(valor_detracc){
		case '1':
			document.getElementById('detraccion').style.display='none'
			break;
		case '-1':
			document.getElementById('detraccion').style.display='block'
			break;	
		}
	document.getElementById('detracc').value=(-1)*document.getElementById('detracc').value;
	}